import { defHttp } from '/@/utils/http/axios';
enum Api {
  typeNumber = '/visit/handoverShifts/queryPersonNumber',
  transfetList = '/visit/handoverShifts/query/page',
  transferDel = '/visit/handoverShifts/removeByIds',
  transferAdd = '/visit/handoverShifts/add',
  transferEdit = '/visit/handoverShifts/edit',
  transferById = '/visit/handoverShifts/detail',
}

/**
 * @description: 获取透前选项卡数量
 * @method: POET
 */
export const getTypeNumber = () => {
  return defHttp.get({ url: Api.typeNumber });
};

export const getTransgerList = (params?: object) => {
  return defHttp.post({ url: Api.transfetList, params: params });
};

export const transferDel = (params?: object) => {
  return defHttp.post({ url: Api.transferDel, params: params });
};

export const transferExport = (params?: object) => {
  return defHttp.post({ url: Api.transferDel, params: params });
};

export const transferAdd = (params?: object) => {
  return defHttp.post({ url: Api.transferAdd, params: params });
};

export const transferEdit = (params?: object) => {
  return defHttp.post({ url: Api.transferEdit, params: params });
};

export const transferById = (id: string) => {
  return defHttp.get({ url: Api.transferById + '/' + id });
};
